# 2.3.11 Release Note

## Docs
- [Doc][Improve] support chinese [docs/zh/connector-v2/source/MySQL-CDC.md] (#8884)
- Add MongoDB-CDC connector Chinese documentation (#9337)
- [Doc][zh-CN] Add HiveJdbc connector Chinese documentation (#8497) (#9329)
- [Doc][Connector-V2] Update save mode config for OssFileSink (#9303)
- [Doc][zh-CN] Add Jira connector Chinese documentation (#9236)
- [Doc][Improve] support chinese [docs/zh/connector-v2/source/Cloudberry.md]  (#9211)
- [Fix][Doc] Delete space before _test and _sink (#9216)
- [Doc][Improve] support chinese [docs/zh/connector-v2/source/Github.md] (#9210)
- [Feature][doc] Repair md document format (#9177)
- [Fix][Doc] Adjust the description of the explode function (#9168)
- [Improve][Doc] Unify the header format and fix some documents with abnormal formats (#9159)
- [Improve][Doc] Adjust description of trim series sql function (#9143)
- [Improve][Doc] Update kerberos part of kafka doc (#9031)
- [Doc] Update changelog (#9071)
- [Doc] Fix classloader-cache-mode default value
- [Doc][Fix] DB2.md fix markdown formatting in Data Type Mapping (#9062)
- [Doc] fix deadlinks (#9053)
- [Improve][Doc] Improve changelog generate tool to ignore useless commit (#9035)
- [Fix][Doc] fix deadlinks (#9016)

## Bug Fix
- [Bug][Zeta] SeaTunnelClient can not exit with error (#9281)
- [Improve][Oracle-CDC] Fix oracle rename ddl event missing column type (#9314)
- [Fix][Connector-jdbc] Fix postgresql sink trying to update unique key (#9293) (#9298)
- [Fix][Zeta] Fix losing checkpoint scheduling in extreme cases (#9246)
- [Fix][Connector-V2] Fix hive client thread unsafe (#9282)
- [Fix][Connector-V2] Fix oceanbase mysql jdbc sink create statement error (#9267)
- [Fix][CI] Fix update build status action error (#9300)
- [Fix][CI] Disable dead link check (#9296)
- [Fix][CI] Set continue-on-error to true for dead link job (#9290)
- [Fix][Connector-V2] Fix the problem that missing options configuration when building ClickHouse Nodes (#9277)
- [Fix][CI] Remove dead link check from sanity check (#9274)
- [fix][connector-mango] fix split with avgSize zero error (#9255)
- [Bugfix][Starrocks] Fix starrocks batch data exceeds the maximum limit (#9256)
- [Fix][Config] Fix invalid telemetry-log config in seatunnel.yaml (#9230)
- [Improve][connector-iceberg] fix schema change event (#9217)
- [Fix][Zeta] Fix premature closure of the checkpoint thread pool causes abnormal task status (#9228)
- [Bugfix][CI] Fix transform check (#9237)
- [Bugifx][kafka] Fix kafka enumerator assign split NPE (#9220)
- [Fix][CI] Release file resources in testcase (#9232)
- [Fix][Core]Fix config parse with `""` error (#9225)
- [Fix][Connector-V2] Fix kafka database name (#9201)
- [Fix][Serialize] prevent scientific notation for decimal numbers in JSON output​ (#9186)
- [Fix][Zeta] Fix double-checked locking without volatile in HdfsStorage (#9200)
- [Fix][connector-file-base] fix parquet int32 convert error (#9142)
- [Fix][CI] Upgrade action job runner host version (#9185)
- [Fix][API] Fixed not invoke the `SinkAggregatedCommitter`'s init method (#9070)
- [Fix][Connector-V2]  Fix NullPointerException when column or tag contains null value in TDengine sink (#9158)
- [Bugfix][Csv] Fix csv format delimiter (#9066)
- [Fix][Zeta] Adjust the timing of invoking the enumerator open method (#9092)
- [Fix][Connector-V2] Fix postgres cdc with debezium_json format can not parse number without scale (#9052)
- [Fix][Connector-V2] Fix maxcompute write with multi parallelism (#9089)
- [Fix][MongoDB] The Long type cannot handle string values in scientific notation (#8783)
- [Bugfix][Elasticsearch] Fix add column event (#9069)
- [Fix][Connector-V2] Fix SqlServer create table when database with dot (#9007)
- [Fix] Fix `DateUtils` can not parse datetime string with local timezone (#9019)
- [Fix][Connector-V2] Fixed missing timestamp accuracy of starrocks connector (#9096)
- [Fix][Connector-V2][OceanBase] oceanbase vector support simple vector index (#9072)
- [Fix][JDBC] fix jdbc default connection parameter invalid (#8185)
- [Improve][Checkpoint] Use fixed serialVersionUID in sink state class (#9079)
- [Fix][Connector-V2] assign size for KafkaSource reader cache queue (#9041)
- [Fix][Connector-Redis] Redis did not write successfully, but the task did not fail (#9055)
- [Hotfix][Jdbc] Fix mysql tinyint(1) type mapping for TypeMapper (#9012)
- [Fix][Core] Cancel pending job (#8993)
- [Fix][Paimon] nullable and comment attribute was lost during automatic table creation (#9020)
- [Fix][Connector-JDBC] Fix JDBC driver selection for data source connections (#8986)
- [Fix] Fix dead link (#9023)
- [Fix][Connector-V2] Fix maxcompute sink write date less than actual date (#8999)

## Feature
- [Feature][http-Sink] Implementing http batch writes (#9292)
- [Feature][Connectors-V2] Add end_timestamp for timstamp start mode (#9318)
- [Feature][Connector-doris] Adds case insensitivity feature (#9306)
- [Feature][Connector-V2] Iceberg add glue catalog support (#9247)
- [Improve][Connector-V2] Add remote host verification option for FTP data channels (#9324)
- [improve] EasySearch support schema_save_mode/data_save_mode (#9310)
- [Feature][Connector-JDBC] Supprot read Oracle BLOB data as string instead of bytes (#9305)
- [Improve] Optimize variable handling robustness in `stop-seatunnel-cluster.sh` (#9316)
- [Improve] Remove useless iceberg sink config `iceberg.table.config` (#9307)
- [Feature][Connector-V2] Support multi-table sink feature for ClickHouse (#9301)
- [Improve] Remove release-note.md in dev branch (#9304)
- [improve] sentry options (#9261)
- [improve] sls options (#9260)
- [Feature][connector-http] Parameters support placeholder replacement (#9184)
- [Improve][Starrocks] Catch lable already exception (#9222)
- [improve] neo4j options (#9164)
- [Improve][Zeta] Add log to print the each task execute location (#9205)
- [improve] qdrant options (#9235)
- [Feature][Connector-V2] Make some sink parameters optional for DataHub  (#9229)
- [Feature][Transform] Add table filter transform (#9189)
- [improve] openmldb options (#9166)
- [Feature][Connector-V2] Support multi-table sink feature for TDengine (#9215)
- [Feature][Connector-V2] Datahub support multi-table sink (#9212)
- [Feature][Transform] Support define sink column type (#9114)
- [Feature][Transform] support boolean type for sql transform (#9136)
- [Feat][Connector-v2][Iceberg]support filter conditions in iceberg source (#9095)
- [Feature][Checkpoint] Add check script for source/sink state class serialVersionUID missing (#9118)
- [Feature][Zeta] Support basic authentication for web ui (#9171)
- [Feature][connector-elasticsearch] elasticsearch source support PIT (#9150)
- [Improve][Connector-V2][Http] Supports Cursor-based Pagination (#9109) (#9138)
- [Feature][Connector-V2] Support GraphQL Connector (#8557) (#9021)
- [Improve] maxcompute options (#9163)
- [Improve] kudu options (#9162)
- [improve] paimon options (#9167)
- [improve] milvus options (#9165)
- [Feature][Zeta] Format exception messages on task running management page (#9147)
- [Improve][connector-doris] Improved doris source enumerator splits allocation algorithm for subtasks (#9108)
- [Improve][Zeta] Support restore execute savemode (#9059)
- [improve] update file connectors config (#9034)
- [Improve][seatunnel-engine-ui] improve sorting of Running Jobs and Finished Jobs (#9107)
- [Improve][Connector-V2] Optimize dialect selection in jdbc (#8820)
- [Improve][Transform-V2] support try_cast expressions (#9029)
- [Improve][Transform]  Update MetadataTransformConfig extends (#9082)
- [Chore] Upgrade actions/cache@v2 to actions/cache@v4 (#9084)
- [Improve][Sql] Support boolean fields in case-when condition clauses (#9073)
- [Feature][File] Support extract CSV files with different columns in different order (#9064)
- [Feature][Zeta] Support enable https protocol for rest-api v2 (#9010)
- [Feature]  Version from 2.3.10 to 2.3.11  (#9058)
- [Improve] Refactor file enumerator to prevent duplicate put split (#8989)
- [Feature][Jdbc] Add String type column split Support by charset-based splitting algorithm (#9002)
- [Feature][Connector-V2] Add aerospike sink connector (#8821)
- [Feature][E2E] Add helm test case (#9006)
- [Feature][Connector] Add Apache Cloudberry Support (#8985)
- [Improve][File] Add row_delimiter options into text file sink (#9017)
- [Improve][Zeta] Remove misleading exception log when job be canceled (#8988)
- [Improve][Jdbc] Upgrade sap-hana driver from 2.14.7 to 2.23.10 (#9013)

